=== debian/changelog ===
libvpx (0.9.0-2maemo1) unstable; urgency=low

  * Maemo version

 -- Zaheer Abbas Merali <zaheermerali@gmail.com>  Mon, 24 May 2010 19:31:02 +0200

libvpx (0.9.0-2~lucid1) lucid; urgency=low

  * Upload to GStreamer developers PPA.

 -- Sebastian Dröge <slomo@debian.org>  Wed, 19 May 2010 22:21:41 +0200

libvpx (0.9.0-2) unstable; urgency=low

  * debian/rules:
    + Fix shlibs version.

 -- Sebastian Dröge <slomo@debian.org>  Wed, 19 May 2010 22:20:14 +0200

libvpx (0.9.0-1) unstable; urgency=low

  * Initial Debian packaging (Closes: #582271).

 -- Sebastian Dröge <slomo@debian.org>  Tue, 18 May 2010 20:49:11 +0200
