=== debian/control ===
Source: libvpx
Section: video
Priority: optional
Maintainer: Sebastian Dröge <slomo@debian.org>
Build-Depends: debhelper,
               dpkg-dev (>= 1.14.13),
               yasm [amd64 i386 hurd-i386 kfreebsd-amd64 kfreebsd-i386],
               execstack
Standards-Version: 3.8.4

Package: libvpx-dev
Section: libdevel
Architecture: any
Depends: libvpx0 (= ${binary:Version}),
         ${shlibs:Depends},
         ${misc:Depends}
Description: VP8 video codec (development files)
 VP8 is an open video codec, originally developed by On2 and released
 as open source by Google Inc. It is the successor of the VP3 codec,
 on which the Theora codec was based.
 .
 This package contains the development libraries, header files needed by
 programs that want to compile with libvpx.

Package: libvpx0
Section: libs
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends}
Description: VP8 video codec (shared library)
 VP8 is an open video codec, originally developed by On2 and released
 as open source by Google Inc. It is the successor of the VP3 codec,
 on which the Theora codec was based.
 .
 This package contains the shared libraries.

Package: libvpx0-dbg
Section: debug
Priority: extra
Architecture: any
Depends: libvpx0 (= ${binary:Version}),
         ${misc:Depends}
Description: VP8 video codec (debugging symbols)
 VP8 is an open video codec, originally developed by On2 and released
 as open source by Google Inc. It is the successor of the VP3 codec,
 on which the Theora codec was based.
 .
 Debugging symbols for the VPX library. This is
 needed to debug programs linked against libvpx0.

Package: libvpx-doc
Section: doc
Architecture: all
Depends: ${misc:Depends}
Recommends: lynx | www-browser
Description: VP8 video codec (API documentation)
 VP8 is an open video codec, originally developed by On2 and released
 as open source by Google Inc. It is the successor of the VP3 codec,
 on which the Theora codec was based.
 .
 This package contains the HTML documentation for the libvpx library
 in /usr/share/doc/libvpx-doc.
