=== debian/changelog ===
libvpx (0.9.1-0ubuntu0) lucid-security; urgency=low

  * Backport from Maverick (LP: #628924)

 -- Fabien Tassin <fta@ubuntu.com>  Thu, 02 Sep 2010 22:33:23 +0200

libvpx (0.9.1-1) unstable; urgency=low

  * New upstream release.

 -- Sebastian Dröge <slomo@debian.org>  Fri, 18 Jun 2010 06:00:58 +0200

libvpx (0.9.0+git-2010-06-15-13-41-2) unstable; urgency=low

  * debian/patches/01_enable-shared.patch:
    + Allow shared library build everywhere, fixes FTBFS.
  * debian/rules:
    + Enable assembly optimizations for kfreebsd and hurd too.

 -- Sebastian Dröge <slomo@debian.org>  Wed, 16 Jun 2010 13:07:32 +0200

libvpx (0.9.0+git-2010-06-15-13-41-1) unstable; urgency=low

  * New upstream GIT snapshot:
    + Fixes enormous amount of virtual memory used by the library,
      causing problems on 32 bit architectures (Closes: #583765).
    + Replaces non-free MD5 implementation with a free one (Closes: #585821).
    + debian/rules:
      - Update for build system changes, especially for the shared library
        support that is upstream now.

 -- Sebastian Dröge <slomo@debian.org>  Wed, 16 Jun 2010 07:17:13 +0200

libvpx (0.9.0-6) unstable; urgency=low

  * debian/patches/*:
    + Update to upstream GIT 09202d80716ef7e2931de60c66b6fb2383f52613.
  * debian/copyright:
    + Update for the new, improved and GPL compatible
      license (Closes: #583758).

 -- Sebastian Dröge <slomo@debian.org>  Fri, 04 Jun 2010 22:34:15 +0200

libvpx (0.9.0-5) unstable; urgency=low

  * debian/copyright:
    + Use new FSF address.
  * debian/patches/*:
    + Update to upstream GIT 1689564bb5c0f03bb2f35244bf40bcf58c9fec35.
  * debian/rules,
    debian/control:
    + Remove execstack and -fPIC hacks that were fixed upstream.
  * debian/vpx_codec.h.patch,
    debian/rules:
    + Remove HAVE_CONFIG_H removal hack for the public header files.

 -- Sebastian Dröge <slomo@debian.org>  Sat, 29 May 2010 07:29:58 +0200

libvpx (0.9.0-4) unstable; urgency=low

  * debian/rules:
    + x86 is i386, this enables assembly optimizations on i386.
  * debian/control:
    + Build depend on yasm >= 0.7.
  * debian/copyright:
    + Add all the other copyright holders and licenses to the copyright
      file. These only apply to the scripts in examples/includes, which
      are used for building the API documentation.

 -- Sebastian Dröge <slomo@debian.org>  Sat, 22 May 2010 12:10:35 +0200

libvpx (0.9.0-3) unstable; urgency=low

  * debian/rules:
    + Always build with -fPIC, configure doesn't set it for the
      generic-gnu target.
  * debian/copyright,
    debian/control:
    + Fix download URLs.

 -- Sebastian Dröge <slomo@debian.org>  Thu, 20 May 2010 12:56:42 +0200
