=== debian/control ===
--- 
+++ 
@@ -2,11 +2,13 @@
 Section: video
 Priority: optional
 Maintainer: Sebastian Dröge <slomo@debian.org>
-Build-Depends: debhelper,
+Build-Depends: debhelper (>= 7),
                dpkg-dev (>= 1.14.13),
-               yasm [amd64 i386 hurd-i386 kfreebsd-amd64 kfreebsd-i386],
-               execstack
+               yasm (>= 0.7) [amd64 i386 hurd-i386 kfreebsd-amd64 kfreebsd-i386],
+               doxygen,
+               php5-cli
 Standards-Version: 3.8.4
+Homepage: http://www.webmproject.org
 
 Package: libvpx-dev
 Section: libdevel
