=== debian/rules ===
--- 
+++ 
@@ -6,20 +6,29 @@
 
 configure_flags += \
   --enable-pic \
+  --enable-shared \
   --disable-install-bins \
   --disable-install-srcs
 
-# TODO: Special cases for ARM and PPC
+# TODO: Special cases for ARM and PPC?
 ifeq ($(DEB_BUILD_ARCH), amd64)
 configure_flags += --target=x86_64-linux-gcc
 else
-ifeq ($(DEB_BUILD_ARCH), x86)
+ifeq ($(DEB_BUILD_ARCH), kfreebsd-amd64)
+configure_flags += --target=x86_64-linux-gcc
+else
+ifeq ($(DEB_BUILD_ARCH), i386)
 configure_flags += --target=x86-linux-gcc
 else
-ifeq ($(DEB_BUILD_ARCH), armel)
-configure_flags += --target=armv7-linux-gcc
+ifeq ($(DEB_BUILD_ARCH), kfreebsd-i386)
+configure_flags += --target=x86-linux-gcc
+else
+ifeq ($(DEB_BUILD_ARCH), hurd-i386)
+configure_flags += --target=x86-linux-gcc
 else
 configure_flags += --target=generic-gnu
+endif
+endif
 endif
 endif
 endif
@@ -64,23 +73,12 @@
 install: build-stamp
 	dh_testdir
 	dh_testroot
+	dh_prep
 	dh_installdirs
-	$(MAKE) -C $(builddir) verbose=yes install
+	$(MAKE) -C $(builddir) verbose=yes dist
 	# don't use stripped library...
 	cp -v $(builddir)/libvpx_g.a \
 	  $(builddir)/vpx-vp8-*/lib/libvpx.a
-	cd $(builddir)/vpx-vp8-*/lib && \
-	  mkdir tmp && \
-	  cd tmp && \
-	  ar x ../libvpx.a && \
-	  cd .. && \
-	  gcc -shared -fPIC -pthread -lm -Wl,--no-undefined -Wl,-soname,libvpx.so.0 -Wl,--version-script,$(CURDIR)/debian/libvpx.ver -o libvpx.so.0.0.0 tmp/*.o && \
-	  rm -rf tmp && \
-	  ln -sf libvpx.so.0.0.0 libvpx.so.0 && \
-	  ln -sf libvpx.so.0.0.0 libvpx.so && \
-	  /usr/sbin/execstack -c libvpx.so.0.0.0
-	cd $(builddir)/vpx-vp8-* && \
-	  patch -Np0 < $(CURDIR)/debian/vpx_codec.h.patch
 
 binary-indep: build install
 	dh_testdir
