=== debian/changelog ===
libvpx (0.9.2-1ubuntu0.0.10.04.1) lucid-security; urgency=low

  * SECURITY UPDATE: fix heap memory corruption which could lead to denial of
    service or possibly execution of arbitrary code
    - debian/patches/900_CVE-2010-XXXX.patch: properly validate frame size and
      partition sizes
    - CVE-2010-XXXX

 -- Jamie Strandboge <jamie@ubuntu.com>  Mon, 08 Nov 2010 16:43:26 -0600

libvpx (0.9.2-1build1) maverick; urgency=low

  * No-change rebuild to build on armel (the build record was lost due to a
    Launchpad bug, and apparently another upload is the simplest fix).

 -- Colin Watson <cjwatson@ubuntu.com>  Thu, 30 Sep 2010 13:23:04 +0100

libvpx (0.9.2-1) experimental; urgency=low

  * New upstream release:
    + debian/patches/01_enable-shared.patch:
      - Refreshed.

 -- Sebastian Dröge <slomo@debian.org>  Tue, 07 Sep 2010 23:12:53 +0200
