=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: libvpx
 Section: video
 Priority: optional
-Maintainer: Sebastian Dröge <slomo@debian.org>
+Maintainer: Ubuntu Core Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Sebastian Dröge <slomo@debian.org>
 Build-Depends: debhelper (>= 7),
                dpkg-dev (>= 1.14.13),
                yasm (>= 0.7) [amd64 i386 hurd-i386 kfreebsd-amd64 kfreebsd-i386],
