=== debian/changelog ===
libvpx (0.9.5-2~build0.10.04.1) lucid-security; urgency=low

  * No-change rebuild from Natty needed by Chromium update

 -- Micah Gersten <micahg@ubuntu.com>  Tue, 08 Mar 2011 18:54:23 -0600

libvpx (0.9.5-2) unstable; urgency=low

  * Upload to unstable.
  * debian/patches/02_cve-2010-4489.patch:
    + SECURITY -- CVE 2010-4489: Fix integer overflow in decoder
      Patch taken from upstream GIT (Closes: #610510).

 -- Sebastian Dröge <slomo@debian.org>  Tue, 08 Feb 2011 11:59:42 +0100

libvpx (0.9.5-1) experimental; urgency=low

  * New upstream release:
    + debian/patches/01_enable-shared.patch:
      - Refreshed.
    + debian/rules:
      - Enable altivec assembly for powerpc.
    + debian/libvpx0.symbols,
      debian/rules:
      - Update for API additions.

 -- Sebastian Dröge <slomo@debian.org>  Fri, 29 Oct 2010 08:36:14 +0200
