=== debian/rules ===
--- 
+++ 
@@ -10,7 +10,7 @@
   --disable-install-bins \
   --disable-install-srcs
 
-# TODO: Special cases for ARM and PPC?
+# TODO: Special cases for ARM?
 ifeq ($(DEB_BUILD_ARCH), amd64)
 configure_flags += --target=x86_64-linux-gcc
 else
@@ -26,7 +26,11 @@
 ifeq ($(DEB_BUILD_ARCH), hurd-i386)
 configure_flags += --target=x86-linux-gcc
 else
+ifeq ($(DEB_BUILD_ARCH), powerpc)
+configure_flags += --target=ppc32-linux-gcc
+else
 configure_flags += --target=generic-gnu
+endif
 endif
 endif
 endif
@@ -104,7 +108,7 @@
 	dh_strip -s --dbg-package=libvpx0-dbg
 	dh_compress -s
 	dh_fixperms -s
-	dh_makeshlibs -plibvpx0 -V 'libvpx0 (>= 0.9.0)' -- -c4
+	dh_makeshlibs -plibvpx0 -V 'libvpx0 (>= 0.9.5)' -- -c4
 	dh_installdeb -s
 	dh_shlibdeps -s
 	dh_gencontrol -s
