## libvpx 0.9.6

=== debian/changelog ===
libvpx (0.9.6-1) unstable; urgency=low

  * New upstream release, "Bali":
    + debian/patches/02_cve-2010-4489.patch:
      - Dropped, merged upstream.

 -- Sebastian Dröge <slomo@debian.org>  Tue, 08 Mar 2011 17:58:26 +0100
