## libvpx 0.9.7.p1

=== debian/changelog ===
libvpx (0.9.7.p1-2) unstable; urgency=low

  * debian/rules,
    debian/libvpx-dev.install:
    + Install vpx.pc file in the -dev package. Thanks to
      j@v2v.cc for the patch (Closes: #644542).
  * debian/control,
    debian/vpx-tools.install:
    + Install vpxenc and vpxenc in the new vpx-tools package. Thanks
      to j@v2v.cc for the patch (Closes: #644543).

 -- Sebastian Dröge <slomo@debian.org>  Mon, 10 Oct 2011 09:42:49 +0200

libvpx (0.9.7.p1-1) unstable; urgency=low

  * New upstream bugfix release.

 -- Sebastian Dröge <slomo@debian.org>  Tue, 16 Aug 2011 15:35:26 +0200

libvpx (0.9.7-1) unstable; urgency=low

  * New upstream release, "Cayuga" (Closes: #636670):
    + debian/patches/01_enable-shared.patch:
      - Refreshed to apply cleanly again.
    + debian/rules:
      - Update shlibs version because of API additions.

 -- Sebastian Dröge <slomo@debian.org>  Tue, 09 Aug 2011 10:14:33 +0200
