=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: libvpx
 Section: video
 Priority: optional
-Maintainer: Ubuntu Core Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Sebastian Dröge <slomo@debian.org>
+Maintainer: Sebastian Dröge <slomo@debian.org>
 Build-Depends: debhelper (>= 7),
                dpkg-dev (>= 1.14.13),
                yasm (>= 0.7) [amd64 i386 hurd-i386 kfreebsd-amd64 kfreebsd-i386],
@@ -64,3 +63,16 @@
  This package contains the HTML documentation for the libvpx library
  in /usr/share/doc/libvpx-doc.
 
+Package: vpx-tools
+Section: utils
+Architecture: any
+Depends: libvpx0 (= ${binary:Version}),
+         ${shlibs:Depends},
+         ${misc:Depends}
+Description: VP8 video codec encoding/decoding tools
+ VP8 is an open video codec, originally developed by On2 and released
+ as open source by Google Inc. It is the successor of the VP3 codec,
+ on which the Theora codec was based.
+ .
+ This package contains the commandline tools vpxdec and vpxenc.
+
