=== debian/rules ===
--- 
+++ 
@@ -5,6 +5,7 @@
 DEB_BUILD_ARCH ?= $(shell dpkg-architecture -qDEB_BUILD_ARCH)
 
 configure_flags += \
+  --prefix=/usr \
   --enable-pic \
   --enable-shared \
   --disable-install-bins \
@@ -108,7 +109,7 @@
 	dh_strip -s --dbg-package=libvpx0-dbg
 	dh_compress -s
 	dh_fixperms -s
-	dh_makeshlibs -plibvpx0 -V 'libvpx0 (>= 0.9.5)' -- -c4
+	dh_makeshlibs -plibvpx0 -V 'libvpx0 (>= 0.9.7)' -- -c4
 	dh_installdeb -s
 	dh_shlibdeps -s
 	dh_gencontrol -s
