## libvpx 1.0.0

=== debian/changelog ===
libvpx (1.0.0-1) unstable; urgency=low

  * New upstream release, "Duclair":
    + debian/libvpx1.install,
      debian/libvpx1.symbols,
      debian/control,
      debian/rules:
      - Update for new soname.

 -- Sebastian Dröge <slomo@debian.org>  Wed, 01 Feb 2012 09:50:13 +0100
