=== debian/control ===
--- 
+++ 
@@ -13,7 +13,7 @@
 Package: libvpx-dev
 Section: libdevel
 Architecture: any
-Depends: libvpx0 (= ${binary:Version}),
+Depends: libvpx1 (= ${binary:Version}),
          ${shlibs:Depends},
          ${misc:Depends}
 Description: VP8 video codec (development files)
@@ -24,7 +24,7 @@
  This package contains the development libraries, header files needed by
  programs that want to compile with libvpx.
 
-Package: libvpx0
+Package: libvpx1
 Section: libs
 Architecture: any
 Depends: ${shlibs:Depends},
@@ -36,11 +36,11 @@
  .
  This package contains the shared libraries.
 
-Package: libvpx0-dbg
+Package: libvpx1-dbg
 Section: debug
 Priority: extra
 Architecture: any
-Depends: libvpx0 (= ${binary:Version}),
+Depends: libvpx1 (= ${binary:Version}),
          ${misc:Depends}
 Description: VP8 video codec (debugging symbols)
  VP8 is an open video codec, originally developed by On2 and released
@@ -48,7 +48,7 @@
  on which the Theora codec was based.
  .
  Debugging symbols for the VPX library. This is
- needed to debug programs linked against libvpx0.
+ needed to debug programs linked against libvpx1.
 
 Package: libvpx-doc
 Section: doc
@@ -66,7 +66,7 @@
 Package: vpx-tools
 Section: utils
 Architecture: any
-Depends: libvpx0 (= ${binary:Version}),
+Depends: libvpx1 (= ${binary:Version}),
          ${shlibs:Depends},
          ${misc:Depends}
 Description: VP8 video codec encoding/decoding tools
