=== debian/rules ===
--- 
+++ 
@@ -106,10 +106,10 @@
 	dh_installdocs -s -A README AUTHORS
 	dh_installchangelogs -s CHANGELOG
 	dh_link -s
-	dh_strip -s --dbg-package=libvpx0-dbg
+	dh_strip -s --dbg-package=libvpx1-dbg
 	dh_compress -s
 	dh_fixperms -s
-	dh_makeshlibs -plibvpx0 -V 'libvpx0 (>= 0.9.7)' -- -c4
+	dh_makeshlibs -plibvpx1 -V 'libvpx1 (>= 1.0.0)' -- -c4
 	dh_installdeb -s
 	dh_shlibdeps -s
 	dh_gencontrol -s
