=== debian/changelog ===
libvpx (1.1.0-1) unstable; urgency=low

  * New upstream release, "Eider".
  * debian/patches/*: Refreshed to apply cleanly again.
  * debian/rules: Update shlibs version for API additions.

 -- Sebastian Dröge <slomo@debian.org>  Mon, 14 May 2012 10:03:37 +0200

libvpx (1.0.0-2) unstable; urgency=low

  * debian/control,
    debian/libvpx1.install,
    debian/libvpx-dev.install,
    debian/rules:
    + Add support for multi-arch (Closes: #643016).
      Thanks to Riku Voipio for the patch.
  * debian/rules,
    debian/patches/fix-armhf-link.patch:
    + Add NEON flavor on arm (Closes: #660692).
      Thanks to Riku Voipio for the patch.

 -- Sebastian Dröge <slomo@debian.org>  Tue, 21 Feb 2012 12:15:36 +0100

libvpx (1.0.0-1.1) unstable; urgency=high

  * Non-maintainer upload.
  * Drop binaries from the debug package, to stop libvpx0-dbg and
    libvpx1-dbg from conflicting with each other (Closes: #658453).
  * Set urgency to “high” for the RC bug fix, to speed up things with
    packages (involved in other transitions) having picked up a
    dependency on libvpx1 due to this unannounced transition.

 -- Cyril Brulebois <kibi@debian.org>  Wed, 15 Feb 2012 22:40:09 +0100
