=== debian/control ===
--- 
+++ 
@@ -2,8 +2,7 @@
 Section: video
 Priority: optional
 Maintainer: Sebastian Dröge <slomo@debian.org>
-Build-Depends: debhelper (>= 7),
-               dpkg-dev (>= 1.14.13),
+Build-Depends: debhelper (>= 8.1.3),
                yasm (>= 0.7) [amd64 i386 hurd-i386 kfreebsd-amd64 kfreebsd-i386],
                doxygen,
                php5-cli
@@ -16,6 +15,7 @@
 Depends: libvpx1 (= ${binary:Version}),
          ${shlibs:Depends},
          ${misc:Depends}
+Multi-Arch: same
 Description: VP8 video codec (development files)
  VP8 is an open video codec, originally developed by On2 and released
  as open source by Google Inc. It is the successor of the VP3 codec,
@@ -29,6 +29,8 @@
 Architecture: any
 Depends: ${shlibs:Depends},
          ${misc:Depends}
+Multi-Arch: same
+Pre-Depends: ${misc:Pre-Depends}
 Description: VP8 video codec (shared library)
  VP8 is an open video codec, originally developed by On2 and released
  as open source by Google Inc. It is the successor of the VP3 codec,
@@ -69,6 +71,7 @@
 Depends: libvpx1 (= ${binary:Version}),
          ${shlibs:Depends},
          ${misc:Depends}
+Multi-Arch: foreign
 Description: VP8 video codec encoding/decoding tools
  VP8 is an open video codec, originally developed by On2 and released
  as open source by Google Inc. It is the successor of the VP3 codec,
